## com.vividsolutions.jts.operation.valid
Class QuadtreeNestedRingTester

    java.lang.Object
      com.vividsolutions.jts.operation.valid.QuadtreeNestedRingTester

public class QuadtreeNestedRingTester
extends java.lang.Object

Tests whether any of a set of `LinearRing`s are nested inside another ring in the set, using a `Quadtree` index to speed up the comparisons.

Version:
  1.7

Constructor Summary
`QuadtreeNestedRingTester(GeometryGraph graph)`

Method Summary
`void` `add(LinearRing ring)`
`Coordinate` `getNestedPoint()`
`boolean` `isNonNested()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QuadtreeNestedRingTester

    public QuadtreeNestedRingTester(GeometryGraph graph)

Method Detail

### getNestedPoint

    public Coordinate getNestedPoint()

### add

    public void add(LinearRing ring)

### isNonNested

    public boolean isNonNested()